[med-svn] [Git][med-team/libatomic-queue][master] 7 commits: Don't build with -m{arch, tune}=native

Michael R. Crusoe gitlab at salsa.debian.org
Sun Apr 25 13:41:43 BST 2021



Michael R. Crusoe pushed to branch master at Debian Med / libatomic-queue


Commits:
63e642d3 by Michael R. Crusoe at 2021-04-25T14:27:28+02:00
Don't build with -m{arch,tune}=native

Closes: #987532

- - - - -
d82b681a by Michael R. Crusoe at 2021-04-25T14:27:28+02:00
try running the tests

- - - - -
5f4d8dfd by Michael R. Crusoe at 2021-04-25T14:27:28+02:00
Set upstream metadata fields: Repository, Repository-Browse.

Changes-By: lintian-brush
Fixes: lintian: upstream-metadata-missing-repository
See-also: https://lintian.debian.org/tags/upstream-metadata-missing-repository.html

- - - - -
0c38b3f0 by Michael R. Crusoe at 2021-04-25T14:37:29+02:00
Add autopkgtests

- - - - -
dd38e312 by Michael R. Crusoe at 2021-04-25T14:37:29+02:00
debian/libatomic-queue0.symbols: add missing Build-Depends-Package meta-information field

- - - - -
a7e9ed97 by Michael R. Crusoe at 2021-04-25T14:37:30+02:00
debian/control: add missing deps for the -dev package

- - - - -
6623364a by Michael R. Crusoe at 2021-04-25T14:39:54+02:00
release to unstable

- - - - -


9 changed files:

- debian/changelog
- debian/control
- debian/libatomic-queue0.symbols
- + debian/patches/no-native
- debian/patches/series
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test
- debian/upstream/metadata


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,16 @@
+libatomic-queue (0.0+git20201108.d9d66b6-2) unstable; urgency=high
+
+  * Team upload.
+  * Don't build with -m{arch,tune}=native. Closes: #987532
+  * debian/rules: build and run upstream's tests
+  * Set upstream metadata fields: Repository, Repository-Browse.
+  * Add autopkgtests
+  * debian/libatomic-queue0.symbols: add missing Build-Depends-Package
+    meta-information field
+  * debian/control: add missing deps for the -dev package
+
+ -- Michael R. Crusoe <crusoe at debian.org>  Sun, 25 Apr 2021 14:39:37 +0200
+
 libatomic-queue (0.0+git20201108.d9d66b6-1) unstable; urgency=medium
 
   * New upstream commit


=====================================
debian/control
=====================================
@@ -62,6 +62,7 @@ Package: libatomic-queue-dev
 Section: libdevel
 Architecture: any
 Depends: libatomic-queue0 (= ${binary:Version}),
+         libboost-dev,
          ${shlibs:Depends},
          ${misc:Depends}
 Description: devel files for C++ atomic_queue library


=====================================
debian/libatomic-queue0.symbols
=====================================
@@ -1,4 +1,5 @@
 libatomic_queue.so.0 libatomic-queue0 #MINVER#
+* Build-Depends-Package: libatomic-queue-dev
  _ZGVZNKSt8__detail11_AnyMatcherINSt7__cxx1112regex_traitsIcEELb0ELb0ELb0EEclEcE5__nul at Base 0.0+git20201007.df79403
  _ZGVZNKSt8__detail11_AnyMatcherINSt7__cxx1112regex_traitsIcEELb0ELb0ELb1EEclEcE5__nul at Base 0.0+git20201007.df79403
  _ZGVZNKSt8__detail11_AnyMatcherINSt7__cxx1112regex_traitsIcEELb0ELb1ELb0EEclEcE5__nul at Base 0.0+git20201007.df79403


=====================================
debian/patches/no-native
=====================================
@@ -0,0 +1,28 @@
+Author: Michael R. Crusoe <crusoe at debian.org>
+Description: Don't build with -m{arch,tune}=native
+Bug-Debian: https://bugs.debian.org/987532
+Forwarded: not-needed
+
+It violates Debian's architectual baseline and causes reproducibilty problems
+--- libatomic-queue.orig/Makefile
++++ libatomic-queue/Makefile
+@@ -28,14 +28,14 @@
+ AR := ${ar.${TOOLSET}}
+
+ cxxflags.gcc.debug := -Og -fstack-protector-all -fno-omit-frame-pointer # -D_GLIBCXX_DEBUG
+-cxxflags.gcc.release := -O3 -mtune=native -ffast-math -falign-{functions,loops}=64 -DNDEBUG
+-cxxflags.gcc := -pthread -march=native -std=gnu++14 -W{all,extra,error,no-{maybe-uninitialized,unused-function,unused-local-typedefs}} -g -fmessage-length=0 ${cxxflags.gcc.${BUILD}}
++cxxflags.gcc.release := -O3 -ffast-math -falign-{functions,loops}=64 -DNDEBUG
++cxxflags.gcc := -pthread -std=gnu++14 -W{all,extra,error,no-{maybe-uninitialized,unused-function,unused-local-typedefs}} -g -fmessage-length=0 ${cxxflags.gcc.${BUILD}}
+
+-cflags.gcc := -pthread -march=native -W{all,extra} -g -fmessage-length=0 ${cxxflags.gcc.${BUILD}}
++cflags.gcc := -pthread -W{all,extra} -g -fmessage-length=0 ${cxxflags.gcc.${BUILD}}
+
+ cxxflags.clang.debug := -O0 -fstack-protector-all
+-cxxflags.clang.release := -O3 -mtune=native -ffast-math -falign-functions=64 -DNDEBUG
+-cxxflags.clang := -stdlib=libstdc++ -pthread -march=native -std=gnu++14 -W{all,extra,error,no-{unused-variable,unused-function,unused-local-typedefs}} -g -fmessage-length=0 ${cxxflags.clang.${BUILD}}
++cxxflags.clang.release := -O3 -ffast-math -falign-functions=64 -DNDEBUG
++cxxflags.clang := -stdlib=libstdc++ -pthread -std=gnu++14 -W{all,extra,error,no-{unused-variable,unused-function,unused-local-typedefs}} -g -fmessage-length=0 ${cxxflags.clang.${BUILD}}
+ ldflags.clang := -stdlib=libstdc++ ${ldflags.clang.${BUILD}}
+
+ # Additional CPPFLAGS, CXXFLAGS, CFLAGS, LDLIBS, LDFLAGS can come from the command line, e.g. make CPPFLAGS='-I<my-include-dir>', or from environment variables.


=====================================
debian/patches/series
=====================================
@@ -1,2 +1,3 @@
 fix_unused_variable.patch
 generate-shared-library.patch
+no-native


=====================================
debian/rules
=====================================
@@ -32,3 +32,8 @@ override_dh_install:
 #dh_strip: error: Aborting due to earlier error
 override_dh_strip:
 	dh_strip || true
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	$(MAKE) example run_tests
+endif


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-unit-test
+Depends: libatomic-queue-dev, libboost-test-dev, g++
+Restrictions: allow-stderr


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,18 @@
+#!/bin/bash
+set -e
+
+pkg=libatomic-queue
+
+export LC_ALL=C.UTF-8
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+  AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+  trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp  Makefile "${AUTOPKGTEST_TMP}"/
+mkdir "${AUTOPKGTEST_TMP}/src"
+cp src/tests.cc "${AUTOPKGTEST_TMP}/src/"
+
+cd "${AUTOPKGTEST_TMP}"
+
+make run_tests


=====================================
debian/upstream/metadata
=====================================
@@ -1,3 +1,5 @@
 ---
 Bug-Database: https://github.com/max0x7ba/atomic_queue/issues
 Bug-Submit: https://github.com/max0x7ba/atomic_queue/issues/new
+Repository: https://github.com/max0x7ba/atomic_queue.git
+Repository-Browse: https://github.com/max0x7ba/atomic_queue



View it on GitLab: https://salsa.debian.org/med-team/libatomic-queue/-/compare/34d8beb57557c8c3f25a0795e012eaafe41dc100...6623364a4a87cdf320fd0ac4022927b15e00e82a

-- 
View it on GitLab: https://salsa.debian.org/med-team/libatomic-queue/-/compare/34d8beb57557c8c3f25a0795e012eaafe41dc100...6623364a4a87cdf320fd0ac4022927b15e00e82a
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20210425/0833dc6c/attachment-0001.htm>


More information about the debian-med-commit mailing list